io.vertx.ext.web.api.service.generator.model

## Class WebApiProxyMethodInfo

- java.lang.Object
- - io.vertx.codegen.MethodInfo
  - - io.vertx.serviceproxy.generator.model.ProxyMethodInfo
    - - io.vertx.ext.web.api.service.generator.model.WebApiProxyMethodInfo

- All Implemented Interfaces:
    Comparable<io.vertx.codegen.MethodInfo>

      public class WebApiProxyMethodInfo
      extends ProxyMethodInfo

  Author:
    Francesco Guardiani

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebApiProxyMethodInfo(ProxyMethodInfo info)`
    `WebApiProxyMethodInfo(Set<io.vertx.codegen.type.ClassTypeInfo> ownerTypes, String name, io.vertx.codegen.type.TypeInfo returnType, io.vertx.codegen.doc.Text returnDescription, boolean fluent, boolean cacheReturn, List<io.vertx.codegen.ParamInfo> params, String comment, io.vertx.codegen.doc.Doc doc, boolean staticMethod, boolean defaultMethod, List<io.vertx.codegen.TypeParamInfo.Method> typeParams, boolean proxyIgnore, boolean proxyClose, boolean deprecated, io.vertx.codegen.doc.Text deprecatedDesc, boolean useFutures)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<io.vertx.codegen.ParamInfo>` | `getParamsToExtract()`
    `String` | `getRequestContextName()`

    - ### Methods inherited from class io.vertx.serviceproxy.generator.model.ProxyMethodInfo

      `isProxyClose, isProxyIgnore`

    - ### Methods inherited from class io.vertx.codegen.MethodInfo

      `collectImports, compareTo, copy, getCallbackType, getComment, getDeprecatedDesc, getDoc, getKind, getName, getName, getOwnerTypes, getParam, getParams, getReturnDescription, getReturnType, getSignature, getTypeParams, isCacheReturn, isContainingAnyJavaType, isDefaultMethod, isDeprecated, isFluent, isNullableReturn, isOwnedBy, isStaticMethod, isUseFutures, mergeTypeParams, resolveClassTypeParam, resolveTypeArg, setCacheReturn, setComment, setDefaultMethod, setDeprecated, setDeprecatedDesc, setDoc, setFluent, setName, setOwnerTypes, setParams, setReturnDescription, setReturnType, setStaticMethod, setTypeParams, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebApiProxyMethodInfo

          public WebApiProxyMethodInfo(Set<io.vertx.codegen.type.ClassTypeInfo> ownerTypes,
                                       String name,
                                       io.vertx.codegen.type.TypeInfo returnType,
                                       io.vertx.codegen.doc.Text returnDescription,
                                       boolean fluent,
                                       boolean cacheReturn,
                                       List<io.vertx.codegen.ParamInfo> params,
                                       String comment,
                                       io.vertx.codegen.doc.Doc doc,
                                       boolean staticMethod,
                                       boolean defaultMethod,
                                       List<io.vertx.codegen.TypeParamInfo.Method> typeParams,
                                       boolean proxyIgnore,
                                       boolean proxyClose,
                                       boolean deprecated,
                                       io.vertx.codegen.doc.Text deprecatedDesc,
                                       boolean useFutures)

    - #### WebApiProxyMethodInfo

          public WebApiProxyMethodInfo(ProxyMethodInfo info)

  - ### Method Detail

    - #### getParamsToExtract

          public List<io.vertx.codegen.ParamInfo> getParamsToExtract()

    - #### getRequestContextName

          public String getRequestContextName()

Copyright © 2021 Eclipse. All rights reserved.